%global pypi_name os-client-config

Name:           python-%{pypi_name}
Version:        2.1.0
Release:        %mkrel 6
Group:          Development/Python
Summary:        OpenStack Client Configuration Library
License:        ASLv2
URL:            https://www.openstack.org/
Source0:        https://pypi.io/packages/o/os-client-config/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
`os-client-config` is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack.

%package -n python3-%{pypi_name}
Summary:        OpenStack Client Configuration Library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pbr)

%description -n python3-%{pypi_name}
`os-client-config` is a library for collecting client configuration for
using an OpenStack cloud in a consistent and comprehensive manner. It
will find cloud config for as few as 1 cloud and as many as you want to
put in a config file. It will read environment variables and config files,
and it also contains some vendor specific default values so that you don't
have to know extra info to use OpenStack

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files os_client_config

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst


%changelog
* Sat Feb 24 2024 daviddavid <daviddavid> 2.1.0-6.mga10
+ Revision: 2043868
- rebuild for py3.12
- switch to pyproject

* Thu Mar 24 2022 umeabot <umeabot> 2.1.0-5.mga9
+ Revision: 1825074
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 2.1.0-4.mga9
+ Revision: 1784512
- rebuild for python-3.10

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 2.1.0-3.mga9
+ Revision: 1783453
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 2.1.0-2.mga9
+ Revision: 1706757
- rebuild for python 3.9

* Tue Sep 15 2020 guillomovitch <guillomovitch> 2.1.0-1.mga8
+ Revision: 1626683
- new version 2.1.0

* Sun Feb 16 2020 umeabot <umeabot> 1.29.0-5.mga8
+ Revision: 1533847
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 1.29.0-4.mga8
+ Revision: 1445503
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.29.0-3.mga7
+ Revision: 1353574
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.29.0-2.mga7
+ Revision: 1289501
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Fix Source0 link

* Wed Mar 21 2018 kekepower <kekepower> 1.29.0-1.mga7
+ Revision: 1210929
- Update to version 1.29.0
- Renamed python-os-client-config to python2-os-client-config

* Thu Oct 05 2017 tv <tv> 1.8.1-4.mga7
+ Revision: 1169074
- add BR on python2dist(pbr) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 1.8.1-3.mga7
+ Revision: 1135528
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.8.1-2.mga6
+ Revision: 971086
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.8.1-1.mga6
+ Revision: 889256
- new version: 1.8.1 + rebuild for python 3.5
- use new python macros
- add doc files

* Tue Sep 01 2015 fwang <fwang> 1.6.3-1.mga6
+ Revision: 871892
- imported package python-os-client-config

